"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.noop = exports.installDependencies = exports.space = exports.clearConsole = void 0;
var shelljs_1 = require("shelljs");
// Taken from Create React App, react-dev-utils/clearConsole
// @see https://github.com/facebook/create-react-app/blob/master/packages/react-dev-utils/clearConsole.js
function clearConsole() {
    process.stdout.write(process.platform === 'win32' ? '\x1B[2J\x1B[0f' : '\x1B[2J\x1B[3J\x1B[H');
}
exports.clearConsole = clearConsole;
exports.space = function () { return process.stdout.write('\n'); };
// TODO: find more suitable place
exports.installDependencies = function () { return shelljs_1.exec('yarn install', { silent: true }); };
/* eslint-disable no-empty-function, @typescript-eslint/no-empty-function */
exports.noop = function () { };
